SoulFire LogoSoulFire

Get block

Returns the block at a world position, if the chunk is loaded.

GET
/v1/instances/{instance_id}/bots/{bot_id}/live/world/block

Returns the block at a world position, if the chunk is loaded.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string
Formatuuid
bot_id*string
Formatuuid

Query Parameters

position.x*integer

Block X coordinate. East is positive.

Formatint32
position.y*integer

Block Y coordinate. Vertical axis.

Formatint32
position.z*integer

Block Z coordinate. South is positive.

Formatint32
position.dimension?string

Namespaced dimension id. If empty, APIs use the bot's current dimension.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/live/world/block?position.x=0&position.y=0&position.z=0"
{  "loaded": true,  "block": {    "position": {      "x": 0,      "y": 0,      "z": 0,      "dimension": "string"    },    "blockId": "string",    "properties": {      "property1": "string",      "property2": "string"    }  }}

How is this page?